/* Generated by re2c 0.13.5 on Wed Nov  5 22:35:51 2008 */
#line 1 "Zend/zend_ini_scanner.l"
/*
   +----------------------------------------------------------------------+
   | Zend Engine                                                          |
   +----------------------------------------------------------------------+
   | Copyright (c) 1998-2006 Zend Technologies Ltd. (http://www.zend.com) |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.00 of the Zend license,     |
   | that is bundled with this package in the file LICENSE, and is        |
   | available through the world-wide-web at the following url:           |
   | http://www.zend.com/license/2_00.txt.                                |
   | If you did not receive a copy of the Zend license and are unable to  |
   | obtain it through the world-wide-web, please send a note to          |
   | license@zend.com so we can mail you a copy immediately.              |
   +----------------------------------------------------------------------+
   | Authors: Zeev Suraski <zeev@zend.com>                                |
   |          Jani Taskinen <jani@php.net>                                |
   |          Marcus Boerger <helly@php.net>                              |
   |          Nuno Lopes <nlopess@php.net>                                |
   |          Scott MacVicar <scottmac@php.net>                           |
   +----------------------------------------------------------------------+
*/

/* $Id: zend_ini_scanner.c,v 1.1.2.12 2008/11/05 21:36:11 lbarnaud Exp $ */

#include <errno.h>
#include "zend.h"
#include "zend_globals.h"
#include <zend_ini_parser.h>
#include "zend_ini_scanner.h"

#if 0
# define YYDEBUG(s, c) printf("state: %d char: %c\n", s, c)
#else
# define YYDEBUG(s, c)
#endif

#include "zend_ini_scanner_defs.h"

#define YYCTYPE   unsigned char
/* allow the scanner to read one null byte after the end of the string (from ZEND_MMAP_AHEAD)
 * so that if will be able to terminate to match the current token (e.g. non-enclosed string) */
#define YYFILL(n) { if (YYCURSOR > YYLIMIT) return 0; }
#define YYCURSOR  SCNG(yy_cursor)
#define YYLIMIT   SCNG(yy_limit)
#define YYMARKER  SCNG(yy_marker)

#define YYGETCONDITION()  SCNG(yy_state)
#define YYSETCONDITION(s) SCNG(yy_state) = s

#define STATE(name)  yyc##name

/* emulate flex constructs */
#define BEGIN(state) YYSETCONDITION(STATE(state))
#define YYSTATE      YYGETCONDITION()
#define yytext       ((char*)SCNG(yy_text))
#define yyleng       SCNG(yy_leng)
#define yyless(x)    YYCURSOR = yytext + x
/* #define yymore()     goto yymore_restart */

/* perform sanity check. If this message is triggered you should
   increase the ZEND_MMAP_AHEAD value in the zend_streams.h file */
#define YYMAXFILL 6
#if ZEND_MMAP_AHEAD < (YYMAXFILL + 1)
# error ZEND_MMAP_AHEAD should be greater than YYMAXFILL
#endif


/* How it works (for the core ini directives):
 * ===========================================
 *
 * 1. Scanner scans file for tokens and passes them to parser.
 * 2. Parser parses the tokens and passes the name/value pairs to the callback
 *    function which stores them in the configuration hash table.
 * 3. Later REGISTER_INI_ENTRIES() is called which triggers the actual
 *    registering of ini entries and uses zend_get_configuration_directive()
 *    to fetch the previously stored name/value pair from configuration hash table
 *    and registers the static ini entries which match the name to the value
 *    into EG(ini_directives) hash table.
 * 4. PATH section entries are used per-request from down to top, each overriding
 *    previous if one exists. zend_alter_ini_entry() is called for each entry.
 *    Settings in PATH section are ZEND_INI_SYSTEM accessible and thus mimics the
 *    php_admin_* directives used within Apache httpd.conf when PHP is compiled as
 *    module for Apache.
 * 5. User defined ini files (like .htaccess for apache) are parsed for each request and
 *    stored in separate hash defined by SAPI.
 */

/* TODO: (ordered by importance :-)
 * ===============================================================================
 *
 *  - Separate constant lookup totally from plain strings (using CONSTANT pattern)
 *  - Add #if .. #else .. #endif and ==, !=, <, > , <=, >= operators
 *  - Add #include "some.ini"
 *  - Allow variables to refer to options also when using parse_ini_file()
 *
 */

/* Globals Macros */
#define SCNG	INI_SCNG
#ifdef ZTS
ZEND_API ts_rsrc_id ini_scanner_globals_id;
#else
ZEND_API zend_ini_scanner_globals ini_scanner_globals;
#endif

/* Eat trailing whitespace + extra char */
#define EAT_TRAILING_WHITESPACE_EX(ch)              \
	while (yyleng > 0 && (                          \
		(ch != 'X' && yytext[yyleng - 1] ==  ch) || \
		yytext[yyleng - 1] == '\n' ||               \
		yytext[yyleng - 1] == '\r' ||               \
		yytext[yyleng - 1] == '\t' ||               \
		yytext[yyleng - 1] == ' ')                  \
	) {                                             \
		yyleng--;                                   \
	}

/* Eat trailing whitespace */
#define EAT_TRAILING_WHITESPACE()	EAT_TRAILING_WHITESPACE_EX('X')

#define zend_ini_copy_value(retval, str, len) {  \
	Z_STRVAL_P(retval) = zend_strndup(str, len); \
	Z_STRLEN_P(retval) = len;                    \
	Z_TYPE_P(retval) = IS_STRING;                \
}

#define RETURN_TOKEN(type, str, len) {           \
	zend_ini_copy_value(ini_lval, str, len);     \
	return type;                                 \
}

static void _yy_push_state(int new_state TSRMLS_DC)
{
	zend_stack_push(&SCNG(state_stack), (void *) &YYGETCONDITION(), sizeof(int));
	YYSETCONDITION(new_state);
}

#define yy_push_state(state_and_tsrm) _yy_push_state(yyc##state_and_tsrm)

static void yy_pop_state(TSRMLS_D)
{
	int *stack_state;
	zend_stack_top(&SCNG(state_stack), (void **) &stack_state);
	YYSETCONDITION(*stack_state);
	zend_stack_del_top(&SCNG(state_stack));
}

static void yy_scan_buffer(char *str, unsigned int len TSRMLS_DC)
{
	YYCURSOR = (YYCTYPE*)str;
	SCNG(yy_start) = YYCURSOR;
	YYLIMIT  = YYCURSOR + len;
}

#define ini_filename SCNG(filename)

/* {{{ init_ini_scanner()
*/
static void init_ini_scanner(TSRMLS_D)
{
	SCNG(lineno) = 1;
	SCNG(scanner_mode) = ZEND_INI_SCANNER_NORMAL;
	zend_stack_init(&SCNG(state_stack));
	BEGIN(INITIAL);
}
/* }}} */

/* {{{ shutdown_ini_scanner()
*/
void shutdown_ini_scanner(TSRMLS_D)
{
	zend_stack_destroy(&SCNG(state_stack));
	if (ini_filename) {
		free(ini_filename);
	}
}
/* }}} */

/* {{{ zend_ini_scanner_get_lineno()
*/
int zend_ini_scanner_get_lineno(TSRMLS_D)
{
	return SCNG(lineno);
}
/* }}} */

/* {{{ zend_ini_scanner_get_filename()
*/
char *zend_ini_scanner_get_filename(TSRMLS_D)
{
	return ini_filename ? ini_filename : "Unknown";
}
/* }}} */

/* {{{ zend_ini_open_file_for_scanning()
*/
int zend_ini_open_file_for_scanning(zend_file_handle *fh, int scanner_mode TSRMLS_DC)
{
	char *buf;
	size_t size;

	if (zend_stream_fixup(fh, &buf, &size TSRMLS_CC) == FAILURE) {
		return FAILURE;
	}

	init_ini_scanner(TSRMLS_C);
	SCNG(scanner_mode) = scanner_mode;
	SCNG(yy_in) = fh;
	yy_scan_buffer(buf, size TSRMLS_CC);
	ini_filename = zend_strndup(fh->filename, strlen(fh->filename));
	return SUCCESS;
}
/* }}} */

/* {{{ zend_ini_prepare_string_for_scanning()
*/
int zend_ini_prepare_string_for_scanning(char *str, int scanner_mode TSRMLS_DC)
{
	int len = strlen(str);

	init_ini_scanner(TSRMLS_C);
	SCNG(scanner_mode) = scanner_mode;
	SCNG(yy_in) = NULL;
	yy_scan_buffer(str, len TSRMLS_CC);
	ini_filename = NULL;
	return SUCCESS;
}
/* }}} */

/* {{{ zend_ini_escape_string()
 */
static void zend_ini_escape_string(zval *lval, char *str, int len, char quote_type TSRMLS_DC)
{
	register char *s, *t;
	char *end;

	zend_ini_copy_value(lval, str, len);

	/* convert escape sequences */
	s = t = Z_STRVAL_P(lval);
	end = s + Z_STRLEN_P(lval);

	while (s < end) {
		if (*s == '\\') {
			s++;
			if (s >= end) {
				*t++ = '\\';
				continue;
			}
			switch (*s) {
				case '"':
					if (*s != quote_type) {
						*t++ = '\\';
						*t++ = *s;
						break;
					}
				case '\\':
				case '$':
					*t++ = *s;
					Z_STRLEN_P(lval)--;
					break;
				default:
					*t++ = '\\';
					*t++ = *s;
					break;
			}
		} else {
			*t++ = *s;
		}
		if (*s == '\n' || (*s == '\r' && (*(s+1) != '\n'))) {
			SCNG(lineno)++;
		}
		s++;
	}
	*t = 0;
}
/* }}} */

int ini_lex(zval *ini_lval TSRMLS_DC)
{
restart:
	SCNG(yy_text) = YYCURSOR;

/* yymore_restart: */
	/* detect EOF */
	if (YYCURSOR >= YYLIMIT) {
		if (YYSTATE == STATE(ST_VALUE) || YYSTATE == STATE(ST_RAW)) {
			BEGIN(INITIAL);
			return 0;
		}
		return 0;
	}


#line 298 "Zend/zend_ini_scanner.c"
{
	YYCTYPE yych;
	unsigned int yyaccept = 0;
	if (YYGETCONDITION() < 4) {
		if (YYGETCONDITION() < 2) {
			if (YYGETCONDITION() < 1) {
				goto yyc_INITIAL;
			} else {
				goto yyc_ST_OFFSET;
			}
		} else {
			if (YYGETCONDITION() < 3) {
				goto yyc_ST_SECTION_VALUE;
			} else {
				goto yyc_ST_VALUE;
			}
		}
	} else {
		if (YYGETCONDITION() < 6) {
			if (YYGETCONDITION() < 5) {
				goto yyc_ST_SECTION_RAW;
			} else {
				goto yyc_ST_DOUBLE_QUOTES;
			}
		} else {
			if (YYGETCONDITION() < 7) {
				goto yyc_ST_VARNAME;
			} else {
				goto yyc_ST_RAW;
			}
		}
	}
/* *********************************** */
yyc_INITIAL:
	{
		static const unsigned char yybm[] = {
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 192,   0, 128, 128,   0, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			192, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 160, 160, 128, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 128, 128, 128, 128, 128, 128, 
			128, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 128, 128, 128, 128, 160, 
			128, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};

		YYDEBUG(0, *YYCURSOR);
		YYFILL(6);
		yych = *YYCURSOR;
		YYDEBUG(-1, yych);
		switch (yych) {
		case '\t':
		case ' ':	goto yy4;
		case '\n':	goto yy6;
		case '\r':	goto yy8;
		case '!':
		case '"':
		case '$':
		case '%':
		case '&':
		case '\'':
		case '(':
		case ')':
		case '*':
		case '+':
		case ',':
		case '-':
		case '.':
		case '/':
		case ':':
		case '<':
		case '>':
		case '?':
		case '@':
		case ']':
		case '^':
		case '{':
		case '|':
		case '}':
		case '~':	goto yy9;
		case '#':	goto yy11;
		case '0':
		case '1':
		case '2':
		case '3':
		case '4':
		case '5':
		case '6':
		case '7':
		case '8':
		case '9':
		case 'A':
		case 'B':
		case 'C':
		case 'D':
		case 'E':
		case 'G':
		case 'H':
		case 'I':
		case 'J':
		case 'K':
		case 'L':
		case 'M':
		case 'P':
		case 'Q':
		case 'R':
		case 'S':
		case 'U':
		case 'V':
		case 'W':
		case 'X':
		case 'Z':
		case '_':
		case 'a':
		case 'b':
		case 'c':
		case 'd':
		case 'e':
		case 'g':
		case 'h':
		case 'i':
		case 'j':
		case 'k':
		case 'l':
		case 'm':
		case 'p':
		case 'q':
		case 'r':
		case 's':
		case 'u':
		case 'v':
		case 'w':
		case 'x':
		case 'z':	goto yy12;
		case ';':	goto yy14;
		case '=':	goto yy15;
		case 'F':
		case 'f':	goto yy17;
		case 'N':
		case 'n':	goto yy18;
		case 'O':
		case 'o':	goto yy19;
		case 'T':
		case 't':	goto yy20;
		case 'Y':
		case 'y':	goto yy21;
		case '[':	goto yy22;
		default:	goto yy2;
		}
yy2:
		YYDEBUG(2, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(3, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 495 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 481 "Zend/zend_ini_scanner.c"
yy4:
		YYDEBUG(4, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy62;
yy5:
		YYDEBUG(5, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 467 "Zend/zend_ini_scanner.l"
		{
	/* eat whitespace */
	goto restart;
}
#line 495 "Zend/zend_ini_scanner.c"
yy6:
		YYDEBUG(6, *YYCURSOR);
		++YYCURSOR;
yy7:
		YYDEBUG(7, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 472 "Zend/zend_ini_scanner.l"
		{
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 507 "Zend/zend_ini_scanner.c"
yy8:
		YYDEBUG(8, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy60;
		goto yy7;
yy9:
		YYDEBUG(9, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(10, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 422 "Zend/zend_ini_scanner.l"
		{ /* Disallow these chars outside option values */
	return yytext[0];
}
#line 522 "Zend/zend_ini_scanner.c"
yy11:
		YYDEBUG(11, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy56;
yy12:
		YYDEBUG(12, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy25;
yy13:
		YYDEBUG(13, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 382 "Zend/zend_ini_scanner.l"
		{ /* Get option name */
	RETURN_TOKEN(TC_LABEL, yytext, yyleng);
}
#line 540 "Zend/zend_ini_scanner.c"
yy14:
		YYDEBUG(14, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy51;
yy15:
		YYDEBUG(15, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy49;
yy16:
		YYDEBUG(16, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 386 "Zend/zend_ini_scanner.l"
		{ /* Start option value */
	if (SCNG(scanner_mode) == ZEND_INI_SCANNER_RAW) {
		yy_push_state(ST_RAW TSRMLS_CC);
	} else {
		yy_push_state(ST_VALUE TSRMLS_CC);
	}
	return '=';
}
#line 563 "Zend/zend_ini_scanner.c"
yy17:
		YYDEBUG(17, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy45;
		if (yych == 'a') goto yy45;
		goto yy25;
yy18:
		YYDEBUG(18, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'U') {
			if (yych == 'O') goto yy41;
			if (yych <= 'T') goto yy25;
			goto yy42;
		} else {
			if (yych <= 'o') {
				if (yych <= 'n') goto yy25;
				goto yy41;
			} else {
				if (yych == 'u') goto yy42;
				goto yy25;
			}
		}
yy19:
		YYDEBUG(19, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'N') {
			if (yych == 'F') goto yy36;
			if (yych <= 'M') goto yy25;
			goto yy30;
		} else {
			if (yych <= 'f') {
				if (yych <= 'e') goto yy25;
				goto yy36;
			} else {
				if (yych == 'n') goto yy30;
				goto yy25;
			}
		}
yy20:
		YYDEBUG(20, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy34;
		if (yych == 'r') goto yy34;
		goto yy25;
yy21:
		YYDEBUG(21, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy26;
		if (yych == 'e') goto yy26;
		goto yy25;
yy22:
		YYDEBUG(22, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(23, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 320 "Zend/zend_ini_scanner.l"
		{ /* Section start */
	/* Enter section data lookup state */
	if (SCNG(scanner_mode) == ZEND_INI_SCANNER_RAW) {
		yy_push_state(ST_SECTION_RAW TSRMLS_CC);
	} else {
		yy_push_state(ST_SECTION_VALUE TSRMLS_CC);
	}
	return TC_SECTION;
}
#line 629 "Zend/zend_ini_scanner.c"
yy24:
		YYDEBUG(24, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy25:
		YYDEBUG(25, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy24;
		}
		if (yych == '[') goto yy27;
		goto yy13;
yy26:
		YYDEBUG(26, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy30;
		if (yych == 's') goto yy30;
		goto yy25;
yy27:
		YYDEBUG(27, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(28, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy27;
		}
		YYDEBUG(29, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 345 "Zend/zend_ini_scanner.l"
		{ /* Start of option with offset */
	/* Eat trailing whitespace and [ */
	EAT_TRAILING_WHITESPACE_EX('[');

	/* Enter offset lookup state */
	yy_push_state(ST_OFFSET TSRMLS_CC);

	RETURN_TOKEN(TC_OFFSET, yytext, yyleng);
}
#line 669 "Zend/zend_ini_scanner.c"
yy30:
		YYDEBUG(30, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 32) {
			goto yy24;
		}
		if (yych == '[') goto yy27;
		goto yy33;
yy31:
		YYDEBUG(31, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 374 "Zend/zend_ini_scanner.l"
		{ /* TRUE value (when used outside option value/offset this causes parse error!) */
	RETURN_TOKEN(BOOL_TRUE, "1", 1);
}
#line 685 "Zend/zend_ini_scanner.c"
yy32:
		YYDEBUG(32, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy33:
		YYDEBUG(33, *YYCURSOR);
		if (yych == '\t') goto yy32;
		if (yych == ' ') goto yy32;
		goto yy31;
yy34:
		YYDEBUG(34, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy35;
		if (yych != 'u') goto yy25;
yy35:
		YYDEBUG(35, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy30;
		if (yych == 'e') goto yy30;
		goto yy25;
yy36:
		YYDEBUG(36, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'F') goto yy37;
		if (yych != 'f') goto yy25;
yy37:
		YYDEBUG(37, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 32) {
			goto yy24;
		}
		if (yych == '[') goto yy27;
		goto yy40;
yy38:
		YYDEBUG(38, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 378 "Zend/zend_ini_scanner.l"
		{ /* FALSE value (when used outside option value/offset this causes parse error!)*/
	RETURN_TOKEN(BOOL_FALSE, "", 0);
}
#line 727 "Zend/zend_ini_scanner.c"
yy39:
		YYDEBUG(39, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy40:
		YYDEBUG(40, *YYCURSOR);
		if (yych == '\t') goto yy39;
		if (yych == ' ') goto yy39;
		goto yy38;
yy41:
		YYDEBUG(41, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'Z') {
			if (yych <= '9') {
				if (yych <= ',') goto yy40;
				if (yych == '/') goto yy40;
				goto yy24;
			} else {
				if (yych <= '@') goto yy40;
				if (yych == 'N') goto yy44;
				goto yy24;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '[') goto yy27;
				if (yych == '_') goto yy24;
				goto yy40;
			} else {
				if (yych == 'n') goto yy44;
				if (yych <= 'z') goto yy24;
				goto yy40;
			}
		}
yy42:
		YYDEBUG(42, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy43;
		if (yych != 'l') goto yy25;
yy43:
		YYDEBUG(43, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy37;
		if (yych == 'l') goto yy37;
		goto yy25;
yy44:
		YYDEBUG(44, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy37;
		if (yych == 'e') goto yy37;
		goto yy25;
yy45:
		YYDEBUG(45, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy46;
		if (yych != 'l') goto yy25;
yy46:
		YYDEBUG(46, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy47;
		if (yych != 's') goto yy25;
yy47:
		YYDEBUG(47, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy37;
		if (yych == 'e') goto yy37;
		goto yy25;
yy48:
		YYDEBUG(48, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy49:
		YYDEBUG(49, *YYCURSOR);
		if (yych == '\t') goto yy48;
		if (yych == ' ') goto yy48;
		goto yy16;
yy50:
		YYDEBUG(50, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy51:
		YYDEBUG(51, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy50;
		}
		if (yych >= '\r') goto yy54;
yy52:
		YYDEBUG(52, *YYCURSOR);
		++YYCURSOR;
yy53:
		YYDEBUG(53, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 477 "Zend/zend_ini_scanner.l"
		{ /* Comment */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 828 "Zend/zend_ini_scanner.c"
yy54:
		YYDEBUG(54, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy52;
		goto yy53;
yy55:
		YYDEBUG(55, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy56:
		YYDEBUG(56, *YYCURSOR);
		if (yych == '\n') goto yy57;
		if (yych == '\r') goto yy59;
		goto yy55;
yy57:
		YYDEBUG(57, *YYCURSOR);
		++YYCURSOR;
yy58:
		YYDEBUG(58, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 483 "Zend/zend_ini_scanner.l"
		{ /* #Comment */
	zend_error(E_DEPRECATED, "Comments starting with '#' are deprecated in %s on line %d", zend_ini_scanner_get_filename(TSRMLS_C), SCNG(lineno));
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 857 "Zend/zend_ini_scanner.c"
yy59:
		YYDEBUG(59, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy57;
		goto yy58;
yy60:
		YYDEBUG(60, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy7;
yy61:
		YYDEBUG(61, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy62:
		YYDEBUG(62, *YYCURSOR);
		if (yych <= ' ') {
			if (yych <= '\n') {
				if (yych <= 0x08) goto yy5;
				if (yych <= '\t') goto yy61;
				goto yy60;
			} else {
				if (yych == '\r') goto yy63;
				if (yych <= 0x1F) goto yy5;
				goto yy61;
			}
		} else {
			if (yych <= ':') {
				if (yych == '#') goto yy55;
				goto yy5;
			} else {
				if (yych <= ';') goto yy50;
				if (yych == '=') goto yy48;
				goto yy5;
			}
		}
yy63:
		YYDEBUG(63, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '\n') goto yy60;
		goto yy7;
	}
/* *********************************** */
yyc_ST_DOUBLE_QUOTES:
	{
		static const unsigned char yybm[] = {
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16, 144,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			144,  16,   0,  16,  32,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  64,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
		};
		YYDEBUG(64, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= '#') {
			if (yych == '"') goto yy68;
		} else {
			if (yych <= '$') goto yy70;
			if (yych == '\\') goto yy72;
		}
		YYDEBUG(66, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy76;
yy67:
		YYDEBUG(67, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 449 "Zend/zend_ini_scanner.l"
		{ /* Escape double quoted string contents */
	if(yyleng > 1 && yytext[yyleng-1] == '"' && yytext[yyleng-2] == '\\') {
		yyless(yyleng-1);
		yyleng--;
	}
	zend_ini_escape_string(ini_lval, yytext, yyleng, '"' TSRMLS_CC);
	return TC_QUOTED_STRING;
}
#line 963 "Zend/zend_ini_scanner.c"
yy68:
		YYDEBUG(68, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy90;
yy69:
		YYDEBUG(69, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 458 "Zend/zend_ini_scanner.l"
		{ /* Double quoted '"' string ends */
	yy_pop_state(TSRMLS_C);
	return '"';
}
#line 977 "Zend/zend_ini_scanner.c"
yy70:
		YYDEBUG(70, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '\\') {
			if (yych <= 0x00) goto yy71;
			if (yych <= '[') goto yy75;
			goto yy79;
		} else {
			if (yych == '{') goto yy87;
			goto yy75;
		}
yy71:
		YYDEBUG(71, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 495 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 996 "Zend/zend_ini_scanner.c"
yy72:
		YYDEBUG(72, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych != '"') goto yy75;
		YYDEBUG(73, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy74;
		if (yych != '\r') goto yy75;
yy74:
		YYDEBUG(74, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 0) {
			goto yy67;
		} else {
			goto yy71;
		}
yy75:
		YYDEBUG(75, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy76:
		YYDEBUG(76, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy75;
		}
		if (yych <= '#') goto yy67;
		if (yych <= '$') goto yy78;
		YYDEBUG(77, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych == '"') goto yy84;
		goto yy75;
yy78:
		YYDEBUG(78, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy74;
			if (yych <= '[') goto yy75;
		} else {
			if (yych == '{') goto yy74;
			goto yy75;
		}
yy79:
		YYDEBUG(79, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy80;
		}
		if (yych == '\\') goto yy82;
		goto yy75;
yy80:
		YYDEBUG(80, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(81, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy80;
		}
		if (yych == '\\') goto yy85;
		goto yy75;
yy82:
		YYDEBUG(82, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(83, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy75;
		}
		if (yych <= '#') goto yy84;
		if (yych <= '$') goto yy80;
		goto yy82;
yy84:
		YYDEBUG(84, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych == '\n') goto yy67;
		if (yych == '\r') goto yy67;
		goto yy75;
yy85:
		YYDEBUG(85, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy75;
		}
		if (yych <= '#') goto yy86;
		if (yych <= '$') goto yy80;
		goto yy82;
yy86:
		YYDEBUG(86, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy80;
		}
		if (yych == '\\') goto yy82;
		goto yy75;
yy87:
		YYDEBUG(87, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(88, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 360 "Zend/zend_ini_scanner.l"
		{ /* Variable start */
	yy_push_state(ST_VARNAME TSRMLS_CC);
	return TC_DOLLAR_CURLY;
}
#line 1117 "Zend/zend_ini_scanner.c"
yy89:
		YYDEBUG(89, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy90:
		YYDEBUG(90, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy89;
		}
		goto yy69;
	}
/* *********************************** */
yyc_ST_OFFSET:
	{
		static const unsigned char yybm[] = {
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66, 194,  64,  66,  66,  64,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			194,  66,  64,  66,  68,  66,  66,   0, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			114, 114, 114, 114, 114, 114, 114, 114, 
			114, 114,  66,  64,  66,  66,  66,  66, 
			 66,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  66,  72,  64,  66,  82, 
			 66,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
		};
		YYDEBUG(91, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= ',') {
			if (yych <= ' ') {
				if (yych <= '\n') {
					if (yych <= 0x08) goto yy93;
					if (yych <= '\t') goto yy95;
					goto yy96;
				} else {
					if (yych == '\r') goto yy96;
					if (yych >= ' ') goto yy95;
				}
			} else {
				if (yych <= '#') {
					if (yych == '"') goto yy98;
				} else {
					if (yych <= '$') goto yy100;
					if (yych == '\'') goto yy101;
				}
			}
		} else {
			if (yych <= '@') {
				if (yych <= '/') {
					if (yych <= '-') goto yy102;
					if (yych <= '.') goto yy103;
				} else {
					if (yych <= '9') goto yy104;
					if (yych == ';') goto yy96;
				}
			} else {
				if (yych <= '\\') {
					if (yych <= 'Z') goto yy106;
					if (yych >= '\\') goto yy108;
				} else {
					if (yych <= ']') goto yy109;
					if (yych <= '`') goto yy93;
					if (yych <= 'z') goto yy106;
				}
			}
		}
yy93:
		YYDEBUG(93, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy112;
yy94:
		YYDEBUG(94, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 440 "Zend/zend_ini_scanner.l"
		{ /* Get rest as section/offset value */
	RETURN_TOKEN(TC_STRING, yytext, yyleng);
}
#line 1220 "Zend/zend_ini_scanner.c"
yy95:
		YYDEBUG(95, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy138;
		}
		if (yych == '"') goto yy140;
		if (yych == ']') goto yy141;
		goto yy112;
yy96:
		YYDEBUG(96, *YYCURSOR);
		++YYCURSOR;
yy97:
		YYDEBUG(97, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 495 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 1241 "Zend/zend_ini_scanner.c"
yy98:
		YYDEBUG(98, *YYCURSOR);
		++YYCURSOR;
yy99:
		YYDEBUG(99, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 444 "Zend/zend_ini_scanner.l"
		{ /* Double quoted '"' string start */
	yy_push_state(ST_DOUBLE_QUOTES TSRMLS_CC);
	return '"';
}
#line 1253 "Zend/zend_ini_scanner.c"
yy100:
		YYDEBUG(100, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy97;
			if (yych <= '[') goto yy111;
			goto yy116;
		} else {
			if (yych == '{') goto yy136;
			goto yy111;
		}
yy101:
		YYDEBUG(101, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy132;
		}
		goto yy97;
yy102:
		YYDEBUG(102, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy112;
		if (yych <= '9') goto yy130;
		goto yy112;
yy103:
		YYDEBUG(103, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy112;
		if (yych <= '9') goto yy128;
		goto yy112;
yy104:
		YYDEBUG(104, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '\'') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy105;
				if (yych <= '\f') goto yy112;
			} else {
				if (yych == '"') goto yy105;
				if (yych <= '&') goto yy112;
			}
		} else {
			if (yych <= '9') {
				if (yych == '.') goto yy124;
				if (yych <= '/') goto yy112;
				goto yy126;
			} else {
				if (yych <= ';') {
					if (yych <= ':') goto yy112;
				} else {
					if (yych != ']') goto yy112;
				}
			}
		}
yy105:
		YYDEBUG(105, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 418 "Zend/zend_ini_scanner.l"
		{ /* Get number option value as string */
	RETURN_TOKEN(TC_NUMBER, yytext, yyleng);
}
#line 1319 "Zend/zend_ini_scanner.c"
yy106:
		YYDEBUG(106, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy122;
		}
		if (yych <= '"') {
			if (yych <= '\f') {
				if (yych != '\n') goto yy112;
			} else {
				if (yych <= '\r') goto yy107;
				if (yych <= '!') goto yy112;
			}
		} else {
			if (yych <= ':') {
				if (yych != '\'') goto yy112;
			} else {
				if (yych <= ';') goto yy107;
				if (yych != ']') goto yy112;
			}
		}
yy107:
		YYDEBUG(107, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 414 "Zend/zend_ini_scanner.l"
		{ /* Get constant option value */
	RETURN_TOKEN(TC_CONSTANT, yytext, yyleng);
}
#line 1349 "Zend/zend_ini_scanner.c"
yy108:
		YYDEBUG(108, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy111;
yy109:
		YYDEBUG(109, *YYCURSOR);
		++YYCURSOR;
yy110:
		YYDEBUG(110, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 355 "Zend/zend_ini_scanner.l"
		{ /* End of section or an option offset */
	BEGIN(INITIAL);
	return ']';
}
#line 1365 "Zend/zend_ini_scanner.c"
yy111:
		YYDEBUG(111, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy112:
		YYDEBUG(112, *YYCURSOR);
		if (yybm[0+yych] & 2) {
			goto yy111;
		}
		if (yych == '$') goto yy114;
		if (yych != '\\') goto yy94;
yy113:
		YYDEBUG(113, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy111;
yy114:
		YYDEBUG(114, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy115;
			if (yych <= '[') goto yy111;
			goto yy116;
		} else {
			if (yych != '{') goto yy111;
		}
yy115:
		YYDEBUG(115, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy94;
			} else {
				goto yy97;
			}
		} else {
			if (yyaccept <= 2) {
				goto yy105;
			} else {
				goto yy107;
			}
		}
yy116:
		YYDEBUG(116, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy117;
		}
		if (yych == '\\') goto yy119;
		goto yy111;
yy117:
		YYDEBUG(117, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(118, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy117;
		}
		if (yych == '\\') goto yy121;
		goto yy111;
yy119:
		YYDEBUG(119, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(120, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy117;
		}
		if (yych == '\\') goto yy119;
		goto yy111;
yy121:
		YYDEBUG(121, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy117;
		}
		if (yych == '\\') goto yy119;
		goto yy111;
yy122:
		YYDEBUG(122, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(123, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy122;
		}
		if (yych <= '$') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy107;
				if (yych <= '\f') goto yy111;
				goto yy107;
			} else {
				if (yych == '"') goto yy107;
				if (yych <= '#') goto yy111;
				goto yy114;
			}
		} else {
			if (yych <= ';') {
				if (yych == '\'') goto yy107;
				if (yych <= ':') goto yy111;
				goto yy107;
			} else {
				if (yych <= '[') goto yy111;
				if (yych <= '\\') goto yy113;
				if (yych <= ']') goto yy107;
				goto yy111;
			}
		}
yy124:
		YYDEBUG(124, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(125, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy124;
		}
		if (yych <= '$') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy105;
				if (yych <= '\f') goto yy111;
				goto yy105;
			} else {
				if (yych == '"') goto yy105;
				if (yych <= '#') goto yy111;
				goto yy114;
			}
		} else {
			if (yych <= ';') {
				if (yych == '\'') goto yy105;
				if (yych <= ':') goto yy111;
				goto yy105;
			} else {
				if (yych <= '[') goto yy111;
				if (yych <= '\\') goto yy113;
				if (yych <= ']') goto yy105;
				goto yy111;
			}
		}
yy126:
		YYDEBUG(126, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(127, *YYCURSOR);
		if (yych <= '\'') {
			if (yych <= '!') {
				if (yych <= '\n') {
					if (yych <= '\t') goto yy111;
					goto yy105;
				} else {
					if (yych == '\r') goto yy105;
					goto yy111;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '"') goto yy105;
					goto yy111;
				} else {
					if (yych <= '$') goto yy114;
					if (yych <= '&') goto yy111;
					goto yy105;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '.') {
					if (yych <= '-') goto yy111;
					goto yy124;
				} else {
					if (yych <= '/') goto yy111;
					if (yych <= '9') goto yy126;
					goto yy111;
				}
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy105;
					goto yy111;
				} else {
					if (yych <= '\\') goto yy113;
					if (yych <= ']') goto yy105;
					goto yy111;
				}
			}
		}
yy128:
		YYDEBUG(128, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(129, *YYCURSOR);
		if (yych <= '&') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy105;
				if (yych <= '\f') goto yy111;
				goto yy105;
			} else {
				if (yych <= '"') {
					if (yych <= '!') goto yy111;
					goto yy105;
				} else {
					if (yych == '$') goto yy114;
					goto yy111;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '\'') goto yy105;
				if (yych <= '/') goto yy111;
				if (yych <= '9') goto yy128;
				goto yy111;
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy105;
					goto yy111;
				} else {
					if (yych <= '\\') goto yy113;
					if (yych <= ']') goto yy105;
					goto yy111;
				}
			}
		}
yy130:
		YYDEBUG(130, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(131, *YYCURSOR);
		if (yych <= '&') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy105;
				if (yych <= '\f') goto yy111;
				goto yy105;
			} else {
				if (yych <= '"') {
					if (yych <= '!') goto yy111;
					goto yy105;
				} else {
					if (yych == '$') goto yy114;
					goto yy111;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '\'') goto yy105;
				if (yych <= '/') goto yy111;
				if (yych <= '9') goto yy130;
				goto yy111;
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy105;
					goto yy111;
				} else {
					if (yych <= '\\') goto yy113;
					if (yych <= ']') goto yy105;
					goto yy111;
				}
			}
		}
yy132:
		YYDEBUG(132, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(133, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy132;
		}
		YYDEBUG(134, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(135, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 330 "Zend/zend_ini_scanner.l"
		{ /* Raw string */
	/* Eat leading and trailing single quotes */
	if (yytext[0] == '\'' && yytext[yyleng - 1] == '\'') {
		SCNG(yy_text)++;
		yyleng = yyleng - 2;
	}
	RETURN_TOKEN(TC_RAW, yytext, yyleng);
}
#line 1664 "Zend/zend_ini_scanner.c"
yy136:
		YYDEBUG(136, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(137, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 360 "Zend/zend_ini_scanner.l"
		{ /* Variable start */
	yy_push_state(ST_VARNAME TSRMLS_CC);
	return TC_DOLLAR_CURLY;
}
#line 1675 "Zend/zend_ini_scanner.c"
yy138:
		YYDEBUG(138, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(139, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy138;
		}
		if (yych <= '$') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy94;
				if (yych <= '\f') goto yy111;
				goto yy94;
			} else {
				if (yych == '"') goto yy140;
				if (yych <= '#') goto yy111;
				goto yy114;
			}
		} else {
			if (yych <= ';') {
				if (yych == '\'') goto yy94;
				if (yych <= ':') goto yy111;
				goto yy94;
			} else {
				if (yych <= '[') goto yy111;
				if (yych <= '\\') goto yy113;
				if (yych <= ']') goto yy141;
				goto yy111;
			}
		}
yy140:
		YYDEBUG(140, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy99;
yy141:
		YYDEBUG(141, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy110;
	}
/* *********************************** */
yyc_ST_RAW:
	{
		static const unsigned char yybm[] = {
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 224,   0, 160, 160,   0, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			224, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160,  32, 160,  32, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
		};
		YYDEBUG(142, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= 0x1F) {
			if (yych <= '\n') {
				if (yych <= 0x08) goto yy144;
				if (yych <= '\t') goto yy146;
				goto yy147;
			} else {
				if (yych == '\r') goto yy149;
			}
		} else {
			if (yych <= ';') {
				if (yych <= ' ') goto yy146;
				if (yych >= ';') goto yy150;
			} else {
				if (yych == '=') goto yy152;
			}
		}
yy144:
		YYDEBUG(144, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy163;
yy145:
		YYDEBUG(145, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 395 "Zend/zend_ini_scanner.l"
		{ /* Raw value, only used when SCNG(scanner_mode) == ZEND_INI_SCANNER_RAW. */
	/* Eat leading and trailing double quotes */
	if (yytext[0] == '"' && yytext[yyleng - 1] == '"') {
		SCNG(yy_text)++;
		yyleng = yyleng - 2;
	}
	RETURN_TOKEN(TC_RAW, yytext, yyleng);
}
#line 1791 "Zend/zend_ini_scanner.c"
yy146:
		YYDEBUG(146, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy159;
		}
		if (yych <= '\f') {
			if (yych == '\n') goto yy158;
			goto yy163;
		} else {
			if (yych <= '\r') goto yy161;
			if (yych == ';') goto yy153;
			goto yy163;
		}
yy147:
		YYDEBUG(147, *YYCURSOR);
		++YYCURSOR;
yy148:
		YYDEBUG(148, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 408 "Zend/zend_ini_scanner.l"
		{ /* End of option value */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 1819 "Zend/zend_ini_scanner.c"
yy149:
		YYDEBUG(149, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy158;
		goto yy148;
yy150:
		YYDEBUG(150, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy154;
yy151:
		YYDEBUG(151, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 490 "Zend/zend_ini_scanner.l"
		{ /* End of option value (if EOF is reached before EOL */
	BEGIN(INITIAL);
	return END_OF_LINE;
}
#line 1838 "Zend/zend_ini_scanner.c"
yy152:
		YYDEBUG(152, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy151;
yy153:
		YYDEBUG(153, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy154:
		YYDEBUG(154, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy153;
		}
		if (yych >= '\r') goto yy157;
yy155:
		YYDEBUG(155, *YYCURSOR);
		++YYCURSOR;
yy156:
		YYDEBUG(156, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 477 "Zend/zend_ini_scanner.l"
		{ /* Comment */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 1866 "Zend/zend_ini_scanner.c"
yy157:
		YYDEBUG(157, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy155;
		goto yy156;
yy158:
		YYDEBUG(158, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy148;
yy159:
		YYDEBUG(159, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
		YYDEBUG(160, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy159;
		}
		if (yych <= '\r') {
			if (yych == '\n') goto yy158;
			if (yych <= '\f') goto yy162;
		} else {
			if (yych <= ';') {
				if (yych <= ':') goto yy162;
				goto yy153;
			} else {
				if (yych == '=') goto yy145;
				goto yy162;
			}
		}
yy161:
		YYDEBUG(161, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy158;
		goto yy148;
yy162:
		YYDEBUG(162, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy163:
		YYDEBUG(163, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy162;
		}
		goto yy145;
	}
/* *********************************** */
yyc_ST_SECTION_RAW:
	{
		static const unsigned char yybm[] = {
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 192,   0, 128, 128,   0, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			192, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128,   0, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(164, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= '\f') {
			if (yych == '\n') goto yy168;
		} else {
			if (yych <= '\r') goto yy168;
			if (yych == ']') goto yy170;
		}
		YYDEBUG(166, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy177;
yy167:
		YYDEBUG(167, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 404 "Zend/zend_ini_scanner.l"
		{ /* Raw value, only used when SCNG(scanner_mode) == ZEND_INI_SCANNER_RAW. */
	RETURN_TOKEN(TC_RAW, yytext, yyleng);
}
#line 1972 "Zend/zend_ini_scanner.c"
yy168:
		YYDEBUG(168, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(169, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 495 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 1982 "Zend/zend_ini_scanner.c"
yy170:
		YYDEBUG(170, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy173;
yy171:
		YYDEBUG(171, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 339 "Zend/zend_ini_scanner.l"
		{ /* End of section */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return ']';
}
#line 1997 "Zend/zend_ini_scanner.c"
yy172:
		YYDEBUG(172, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy173:
		YYDEBUG(173, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy172;
		}
		if (yych == '\n') goto yy174;
		if (yych == '\r') goto yy175;
		goto yy171;
yy174:
		YYDEBUG(174, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy171;
yy175:
		YYDEBUG(175, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy174;
		goto yy171;
yy176:
		YYDEBUG(176, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy177:
		YYDEBUG(177, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy176;
		}
		goto yy167;
	}
/* *********************************** */
yyc_ST_SECTION_VALUE:
	{
		static const unsigned char yybm[] = {
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 134, 128, 132, 132, 128, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			134, 132, 128, 132, 136, 132, 132,   0, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			228, 228, 228, 228, 228, 228, 228, 228, 
			228, 228, 132, 128, 132, 132, 132, 132, 
			132, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 132, 144, 128, 132, 164, 
			132, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
		};
		YYDEBUG(178, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= ',') {
			if (yych <= ' ') {
				if (yych <= '\n') {
					if (yych <= 0x08) goto yy180;
					if (yych <= '\t') goto yy182;
					goto yy183;
				} else {
					if (yych == '\r') goto yy183;
					if (yych >= ' ') goto yy182;
				}
			} else {
				if (yych <= '#') {
					if (yych == '"') goto yy185;
				} else {
					if (yych <= '$') goto yy187;
					if (yych == '\'') goto yy188;
				}
			}
		} else {
			if (yych <= '@') {
				if (yych <= '/') {
					if (yych <= '-') goto yy189;
					if (yych <= '.') goto yy190;
				} else {
					if (yych <= '9') goto yy191;
					if (yych == ';') goto yy183;
				}
			} else {
				if (yych <= '\\') {
					if (yych <= 'Z') goto yy193;
					if (yych >= '\\') goto yy195;
				} else {
					if (yych <= ']') goto yy196;
					if (yych <= '`') goto yy180;
					if (yych <= 'z') goto yy193;
				}
			}
		}
yy180:
		YYDEBUG(180, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy203;
yy181:
		YYDEBUG(181, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 440 "Zend/zend_ini_scanner.l"
		{ /* Get rest as section/offset value */
	RETURN_TOKEN(TC_STRING, yytext, yyleng);
}
#line 2122 "Zend/zend_ini_scanner.c"
yy182:
		YYDEBUG(182, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy229;
			goto yy203;
		} else {
			if (yych <= ' ') goto yy229;
			if (yych == '"') goto yy231;
			goto yy203;
		}
yy183:
		YYDEBUG(183, *YYCURSOR);
		++YYCURSOR;
yy184:
		YYDEBUG(184, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 495 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 2145 "Zend/zend_ini_scanner.c"
yy185:
		YYDEBUG(185, *YYCURSOR);
		++YYCURSOR;
yy186:
		YYDEBUG(186, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 444 "Zend/zend_ini_scanner.l"
		{ /* Double quoted '"' string start */
	yy_push_state(ST_DOUBLE_QUOTES TSRMLS_CC);
	return '"';
}
#line 2157 "Zend/zend_ini_scanner.c"
yy187:
		YYDEBUG(187, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy184;
			if (yych <= '[') goto yy202;
			goto yy207;
		} else {
			if (yych == '{') goto yy227;
			goto yy202;
		}
yy188:
		YYDEBUG(188, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy223;
		}
		goto yy184;
yy189:
		YYDEBUG(189, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy203;
		if (yych <= '9') goto yy221;
		goto yy203;
yy190:
		YYDEBUG(190, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy203;
		if (yych <= '9') goto yy219;
		goto yy203;
yy191:
		YYDEBUG(191, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '\'') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy192;
				if (yych <= '\f') goto yy203;
			} else {
				if (yych == '"') goto yy192;
				if (yych <= '&') goto yy203;
			}
		} else {
			if (yych <= '9') {
				if (yych == '.') goto yy215;
				if (yych <= '/') goto yy203;
				goto yy217;
			} else {
				if (yych <= ';') {
					if (yych <= ':') goto yy203;
				} else {
					if (yych != ']') goto yy203;
				}
			}
		}
yy192:
		YYDEBUG(192, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 418 "Zend/zend_ini_scanner.l"
		{ /* Get number option value as string */
	RETURN_TOKEN(TC_NUMBER, yytext, yyleng);
}
#line 2223 "Zend/zend_ini_scanner.c"
yy193:
		YYDEBUG(193, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy213;
		}
		if (yych <= '"') {
			if (yych <= '\f') {
				if (yych != '\n') goto yy203;
			} else {
				if (yych <= '\r') goto yy194;
				if (yych <= '!') goto yy203;
			}
		} else {
			if (yych <= ':') {
				if (yych != '\'') goto yy203;
			} else {
				if (yych <= ';') goto yy194;
				if (yych != ']') goto yy203;
			}
		}
yy194:
		YYDEBUG(194, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 414 "Zend/zend_ini_scanner.l"
		{ /* Get constant option value */
	RETURN_TOKEN(TC_CONSTANT, yytext, yyleng);
}
#line 2253 "Zend/zend_ini_scanner.c"
yy195:
		YYDEBUG(195, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy202;
yy196:
		YYDEBUG(196, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy199;
yy197:
		YYDEBUG(197, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 339 "Zend/zend_ini_scanner.l"
		{ /* End of section */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return ']';
}
#line 2272 "Zend/zend_ini_scanner.c"
yy198:
		YYDEBUG(198, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy199:
		YYDEBUG(199, *YYCURSOR);
		if (yybm[0+yych] & 2) {
			goto yy198;
		}
		if (yych == '\n') goto yy200;
		if (yych == '\r') goto yy201;
		goto yy197;
yy200:
		YYDEBUG(200, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy197;
yy201:
		YYDEBUG(201, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy200;
		goto yy197;
yy202:
		YYDEBUG(202, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy203:
		YYDEBUG(203, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy202;
		}
		if (yych == '$') goto yy205;
		if (yych != '\\') goto yy181;
yy204:
		YYDEBUG(204, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy202;
yy205:
		YYDEBUG(205, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy206;
			if (yych <= '[') goto yy202;
			goto yy207;
		} else {
			if (yych != '{') goto yy202;
		}
yy206:
		YYDEBUG(206, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy181;
			} else {
				goto yy184;
			}
		} else {
			if (yyaccept <= 2) {
				goto yy192;
			} else {
				goto yy194;
			}
		}
yy207:
		YYDEBUG(207, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 8) {
			goto yy208;
		}
		if (yych == '\\') goto yy210;
		goto yy202;
yy208:
		YYDEBUG(208, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(209, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy208;
		}
		if (yych == '\\') goto yy212;
		goto yy202;
yy210:
		YYDEBUG(210, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(211, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy208;
		}
		if (yych == '\\') goto yy210;
		goto yy202;
yy212:
		YYDEBUG(212, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 8) {
			goto yy208;
		}
		if (yych == '\\') goto yy210;
		goto yy202;
yy213:
		YYDEBUG(213, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(214, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy213;
		}
		if (yych <= '$') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy194;
				if (yych <= '\f') goto yy202;
				goto yy194;
			} else {
				if (yych == '"') goto yy194;
				if (yych <= '#') goto yy202;
				goto yy205;
			}
		} else {
			if (yych <= ';') {
				if (yych == '\'') goto yy194;
				if (yych <= ':') goto yy202;
				goto yy194;
			} else {
				if (yych <= '[') goto yy202;
				if (yych <= '\\') goto yy204;
				if (yych <= ']') goto yy194;
				goto yy202;
			}
		}
yy215:
		YYDEBUG(215, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(216, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy215;
		}
		if (yych <= '$') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy192;
				if (yych <= '\f') goto yy202;
				goto yy192;
			} else {
				if (yych == '"') goto yy192;
				if (yych <= '#') goto yy202;
				goto yy205;
			}
		} else {
			if (yych <= ';') {
				if (yych == '\'') goto yy192;
				if (yych <= ':') goto yy202;
				goto yy192;
			} else {
				if (yych <= '[') goto yy202;
				if (yych <= '\\') goto yy204;
				if (yych <= ']') goto yy192;
				goto yy202;
			}
		}
yy217:
		YYDEBUG(217, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(218, *YYCURSOR);
		if (yych <= '\'') {
			if (yych <= '!') {
				if (yych <= '\n') {
					if (yych <= '\t') goto yy202;
					goto yy192;
				} else {
					if (yych == '\r') goto yy192;
					goto yy202;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '"') goto yy192;
					goto yy202;
				} else {
					if (yych <= '$') goto yy205;
					if (yych <= '&') goto yy202;
					goto yy192;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '.') {
					if (yych <= '-') goto yy202;
					goto yy215;
				} else {
					if (yych <= '/') goto yy202;
					if (yych <= '9') goto yy217;
					goto yy202;
				}
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy192;
					goto yy202;
				} else {
					if (yych <= '\\') goto yy204;
					if (yych <= ']') goto yy192;
					goto yy202;
				}
			}
		}
yy219:
		YYDEBUG(219, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(220, *YYCURSOR);
		if (yych <= '&') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy192;
				if (yych <= '\f') goto yy202;
				goto yy192;
			} else {
				if (yych <= '"') {
					if (yych <= '!') goto yy202;
					goto yy192;
				} else {
					if (yych == '$') goto yy205;
					goto yy202;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '\'') goto yy192;
				if (yych <= '/') goto yy202;
				if (yych <= '9') goto yy219;
				goto yy202;
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy192;
					goto yy202;
				} else {
					if (yych <= '\\') goto yy204;
					if (yych <= ']') goto yy192;
					goto yy202;
				}
			}
		}
yy221:
		YYDEBUG(221, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(222, *YYCURSOR);
		if (yych <= '&') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy192;
				if (yych <= '\f') goto yy202;
				goto yy192;
			} else {
				if (yych <= '"') {
					if (yych <= '!') goto yy202;
					goto yy192;
				} else {
					if (yych == '$') goto yy205;
					goto yy202;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '\'') goto yy192;
				if (yych <= '/') goto yy202;
				if (yych <= '9') goto yy221;
				goto yy202;
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy192;
					goto yy202;
				} else {
					if (yych <= '\\') goto yy204;
					if (yych <= ']') goto yy192;
					goto yy202;
				}
			}
		}
yy223:
		YYDEBUG(223, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(224, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy223;
		}
		YYDEBUG(225, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(226, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 330 "Zend/zend_ini_scanner.l"
		{ /* Raw string */
	/* Eat leading and trailing single quotes */
	if (yytext[0] == '\'' && yytext[yyleng - 1] == '\'') {
		SCNG(yy_text)++;
		yyleng = yyleng - 2;
	}
	RETURN_TOKEN(TC_RAW, yytext, yyleng);
}
#line 2593 "Zend/zend_ini_scanner.c"
yy227:
		YYDEBUG(227, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(228, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 360 "Zend/zend_ini_scanner.l"
		{ /* Variable start */
	yy_push_state(ST_VARNAME TSRMLS_CC);
	return TC_DOLLAR_CURLY;
}
#line 2604 "Zend/zend_ini_scanner.c"
yy229:
		YYDEBUG(229, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(230, *YYCURSOR);
		if (yych <= '"') {
			if (yych <= '\f') {
				if (yych <= 0x08) goto yy202;
				if (yych <= '\t') goto yy229;
				if (yych <= '\n') goto yy181;
				goto yy202;
			} else {
				if (yych <= 0x1F) {
					if (yych <= '\r') goto yy181;
					goto yy202;
				} else {
					if (yych <= ' ') goto yy229;
					if (yych <= '!') goto yy202;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '$') {
					if (yych <= '#') goto yy202;
					goto yy205;
				} else {
					if (yych == '\'') goto yy181;
					goto yy202;
				}
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy181;
					goto yy202;
				} else {
					if (yych <= '\\') goto yy204;
					if (yych <= ']') goto yy181;
					goto yy202;
				}
			}
		}
yy231:
		YYDEBUG(231, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy186;
	}
/* *********************************** */
yyc_ST_VALUE:
	{
		static const unsigned char yybm[] = {
			160, 162, 162, 162, 162, 162, 162, 162, 
			162, 176, 128, 162, 162, 128, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			176, 160, 160, 162, 168, 162, 160,  32, 
			160, 160, 162, 162, 162, 162, 162, 162, 
			230, 230, 230, 230, 230, 230, 230, 230, 
			230, 230, 162, 160, 162, 160, 162, 162, 
			162, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 162, 162, 162, 162, 166, 
			162, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 162, 160, 162, 160, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
		};
		YYDEBUG(232, *YYCURSOR);
		YYFILL(6);
		yych = *YYCURSOR;
		YYDEBUG(-1, yych);
		switch (yych) {
		case 0x00:	goto yy234;
		case '\t':
		case ' ':	goto yy238;
		case '\n':	goto yy240;
		case '\r':	goto yy242;
		case '!':
		case '&':
		case '(':
		case ')':
		case '|':
		case '~':	goto yy243;
		case '"':	goto yy245;
		case '$':	goto yy247;
		case '\'':	goto yy248;
		case '-':	goto yy249;
		case '.':	goto yy250;
		case '0':
		case '1':
		case '2':
		case '3':
		case '4':
		case '5':
		case '6':
		case '7':
		case '8':
		case '9':	goto yy251;
		case ';':	goto yy253;
		case '=':	goto yy254;
		case 'A':
		case 'B':
		case 'C':
		case 'D':
		case 'E':
		case 'G':
		case 'H':
		case 'I':
		case 'J':
		case 'K':
		case 'L':
		case 'M':
		case 'P':
		case 'Q':
		case 'R':
		case 'S':
		case 'U':
		case 'V':
		case 'W':
		case 'X':
		case 'Z':
		case 'a':
		case 'b':
		case 'c':
		case 'd':
		case 'e':
		case 'g':
		case 'h':
		case 'i':
		case 'j':
		case 'k':
		case 'l':
		case 'm':
		case 'p':
		case 'q':
		case 'r':
		case 's':
		case 'u':
		case 'v':
		case 'w':
		case 'x':
		case 'z':	goto yy256;
		case 'F':
		case 'f':	goto yy258;
		case 'N':
		case 'n':	goto yy259;
		case 'O':
		case 'o':	goto yy260;
		case 'T':
		case 't':	goto yy261;
		case 'Y':
		case 'y':	goto yy262;
		default:	goto yy236;
		}
yy234:
		YYDEBUG(234, *YYCURSOR);
		++YYCURSOR;
yy235:
		YYDEBUG(235, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 490 "Zend/zend_ini_scanner.l"
		{ /* End of option value (if EOF is reached before EOL */
	BEGIN(INITIAL);
	return END_OF_LINE;
}
#line 2788 "Zend/zend_ini_scanner.c"
yy236:
		YYDEBUG(236, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy264;
yy237:
		YYDEBUG(237, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 436 "Zend/zend_ini_scanner.l"
		{ /* Get everything else as option/offset value */
	RETURN_TOKEN(TC_STRING, yytext, yyleng);
}
#line 2801 "Zend/zend_ini_scanner.c"
yy238:
		YYDEBUG(238, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy314;
yy239:
		YYDEBUG(239, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 463 "Zend/zend_ini_scanner.l"
		{
	RETURN_TOKEN(TC_WHITESPACE, yytext, yyleng);
}
#line 2814 "Zend/zend_ini_scanner.c"
yy240:
		YYDEBUG(240, *YYCURSOR);
		++YYCURSOR;
yy241:
		YYDEBUG(241, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 408 "Zend/zend_ini_scanner.l"
		{ /* End of option value */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 2827 "Zend/zend_ini_scanner.c"
yy242:
		YYDEBUG(242, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy312;
		goto yy241;
yy243:
		YYDEBUG(243, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy311;
yy244:
		YYDEBUG(244, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 426 "Zend/zend_ini_scanner.l"
		{ /* Boolean operators */
	return yytext[0];
}
#line 2845 "Zend/zend_ini_scanner.c"
yy245:
		YYDEBUG(245, *YYCURSOR);
		++YYCURSOR;
yy246:
		YYDEBUG(246, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 444 "Zend/zend_ini_scanner.l"
		{ /* Double quoted '"' string start */
	yy_push_state(ST_DOUBLE_QUOTES TSRMLS_CC);
	return '"';
}
#line 2857 "Zend/zend_ini_scanner.c"
yy247:
		YYDEBUG(247, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy235;
			if (yych <= '[') goto yy263;
			goto yy270;
		} else {
			if (yych == '{') goto yy308;
			goto yy263;
		}
yy248:
		YYDEBUG(248, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy304;
		}
		goto yy235;
yy249:
		YYDEBUG(249, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy264;
		if (yych <= '9') goto yy302;
		goto yy264;
yy250:
		YYDEBUG(250, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy264;
		if (yych <= '9') goto yy300;
		goto yy264;
yy251:
		YYDEBUG(251, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '.') {
			if (yych <= '\r') {
				if (yych <= 0x08) {
					if (yych >= 0x01) goto yy264;
				} else {
					if (yych <= '\n') goto yy252;
					if (yych <= '\f') goto yy264;
				}
			} else {
				if (yych <= '%') {
					if (yych <= 0x1F) goto yy264;
					if (yych >= '#') goto yy264;
				} else {
					if (yych <= ')') goto yy252;
					if (yych <= '-') goto yy264;
					goto yy296;
				}
			}
		} else {
			if (yych <= '<') {
				if (yych <= '9') {
					if (yych <= '/') goto yy264;
					goto yy298;
				} else {
					if (yych != ';') goto yy264;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '=') goto yy252;
					if (yych <= '{') goto yy264;
				} else {
					if (yych != '~') goto yy264;
				}
			}
		}
yy252:
		YYDEBUG(252, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 418 "Zend/zend_ini_scanner.l"
		{ /* Get number option value as string */
	RETURN_TOKEN(TC_NUMBER, yytext, yyleng);
}
#line 2937 "Zend/zend_ini_scanner.c"
yy253:
		YYDEBUG(253, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy292;
yy254:
		YYDEBUG(254, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(255, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 430 "Zend/zend_ini_scanner.l"
		{ /* Make = used in option value to trigger error */
	yyless(0);
	BEGIN(INITIAL);
	return END_OF_LINE;
}
#line 2954 "Zend/zend_ini_scanner.c"
yy256:
		YYDEBUG(256, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy265;
		}
		if (yych <= ')') {
			if (yych <= '\f') {
				if (yych <= 0x00) goto yy257;
				if (yych <= 0x08) goto yy264;
				if (yych >= '\v') goto yy264;
			} else {
				if (yych <= 0x1F) {
					if (yych >= 0x0E) goto yy264;
				} else {
					if (yych <= '"') goto yy257;
					if (yych <= '%') goto yy264;
				}
			}
		} else {
			if (yych <= '=') {
				if (yych == ';') goto yy257;
				if (yych <= '<') goto yy264;
			} else {
				if (yych <= '|') {
					if (yych <= '{') goto yy264;
				} else {
					if (yych != '~') goto yy264;
				}
			}
		}
yy257:
		YYDEBUG(257, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 414 "Zend/zend_ini_scanner.l"
		{ /* Get constant option value */
	RETURN_TOKEN(TC_CONSTANT, yytext, yyleng);
}
#line 2994 "Zend/zend_ini_scanner.c"
yy258:
		YYDEBUG(258, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '<') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy257;
					if (yych <= 0x08) goto yy264;
					goto yy257;
				} else {
					if (yych == '\r') goto yy257;
					if (yych <= 0x1F) goto yy264;
					goto yy257;
				}
			} else {
				if (yych <= '/') {
					if (yych <= '%') goto yy264;
					if (yych <= ')') goto yy257;
					goto yy264;
				} else {
					if (yych <= '9') goto yy265;
					if (yych == ';') goto yy257;
					goto yy264;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'A') {
					if (yych <= '=') goto yy257;
					if (yych <= '@') goto yy264;
					goto yy288;
				} else {
					if (yych <= 'Z') goto yy265;
					if (yych == '_') goto yy265;
					goto yy264;
				}
			} else {
				if (yych <= '{') {
					if (yych <= 'a') goto yy288;
					if (yych <= 'z') goto yy265;
					goto yy264;
				} else {
					if (yych == '}') goto yy264;
					if (yych <= '~') goto yy257;
					goto yy264;
				}
			}
		}
yy259:
		YYDEBUG(259, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'N') {
			if (yych <= '%') {
				if (yych <= '\f') {
					if (yych <= 0x00) goto yy257;
					if (yych <= 0x08) goto yy264;
					if (yych <= '\n') goto yy257;
					goto yy264;
				} else {
					if (yych <= '\r') goto yy257;
					if (yych <= 0x1F) goto yy264;
					if (yych <= '"') goto yy257;
					goto yy264;
				}
			} else {
				if (yych <= ':') {
					if (yych <= ')') goto yy257;
					if (yych <= '/') goto yy264;
					if (yych <= '9') goto yy265;
					goto yy264;
				} else {
					if (yych <= '<') {
						if (yych <= ';') goto yy257;
						goto yy264;
					} else {
						if (yych <= '=') goto yy257;
						if (yych <= '@') goto yy264;
						goto yy265;
					}
				}
			}
		} else {
			if (yych <= 'n') {
				if (yych <= 'Z') {
					if (yych <= 'O') goto yy284;
					if (yych == 'U') goto yy285;
					goto yy265;
				} else {
					if (yych == '_') goto yy265;
					if (yych <= '`') goto yy264;
					goto yy265;
				}
			} else {
				if (yych <= 'z') {
					if (yych <= 'o') goto yy284;
					if (yych == 'u') goto yy285;
					goto yy265;
				} else {
					if (yych <= '|') {
						if (yych <= '{') goto yy264;
						goto yy257;
					} else {
						if (yych == '~') goto yy257;
						goto yy264;
					}
				}
			}
		}
yy260:
		YYDEBUG(260, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'E') {
			if (yych <= '%') {
				if (yych <= '\f') {
					if (yych <= 0x00) goto yy257;
					if (yych <= 0x08) goto yy264;
					if (yych <= '\n') goto yy257;
					goto yy264;
				} else {
					if (yych <= '\r') goto yy257;
					if (yych <= 0x1F) goto yy264;
					if (yych <= '"') goto yy257;
					goto yy264;
				}
			} else {
				if (yych <= ':') {
					if (yych <= ')') goto yy257;
					if (yych <= '/') goto yy264;
					if (yych <= '9') goto yy265;
					goto yy264;
				} else {
					if (yych <= '<') {
						if (yych <= ';') goto yy257;
						goto yy264;
					} else {
						if (yych <= '=') goto yy257;
						if (yych <= '@') goto yy264;
						goto yy265;
					}
				}
			}
		} else {
			if (yych <= 'e') {
				if (yych <= 'Z') {
					if (yych <= 'F') goto yy279;
					if (yych == 'N') goto yy273;
					goto yy265;
				} else {
					if (yych == '_') goto yy265;
					if (yych <= '`') goto yy264;
					goto yy265;
				}
			} else {
				if (yych <= 'z') {
					if (yych <= 'f') goto yy279;
					if (yych == 'n') goto yy273;
					goto yy265;
				} else {
					if (yych <= '|') {
						if (yych <= '{') goto yy264;
						goto yy257;
					} else {
						if (yych == '~') goto yy257;
						goto yy264;
					}
				}
			}
		}
yy261:
		YYDEBUG(261, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy257;
					if (yych <= 0x08) goto yy264;
					goto yy257;
				} else {
					if (yych == '\r') goto yy257;
					if (yych <= 0x1F) goto yy264;
					goto yy257;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy264;
					if (yych <= ')') goto yy257;
					if (yych <= '/') goto yy264;
					goto yy265;
				} else {
					if (yych == ';') goto yy257;
					if (yych <= '<') goto yy264;
					goto yy257;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'R') {
					if (yych <= '@') goto yy264;
					if (yych <= 'Q') goto yy265;
					goto yy277;
				} else {
					if (yych <= 'Z') goto yy265;
					if (yych == '_') goto yy265;
					goto yy264;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'r') goto yy277;
					if (yych <= 'z') goto yy265;
					goto yy264;
				} else {
					if (yych == '}') goto yy264;
					if (yych <= '~') goto yy257;
					goto yy264;
				}
			}
		}
yy262:
		YYDEBUG(262, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy257;
					if (yych <= 0x08) goto yy264;
					goto yy257;
				} else {
					if (yych == '\r') goto yy257;
					if (yych <= 0x1F) goto yy264;
					goto yy257;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy264;
					if (yych <= ')') goto yy257;
					if (yych <= '/') goto yy264;
					goto yy265;
				} else {
					if (yych == ';') goto yy257;
					if (yych <= '<') goto yy264;
					goto yy257;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'E') {
					if (yych <= '@') goto yy264;
					if (yych <= 'D') goto yy265;
					goto yy267;
				} else {
					if (yych <= 'Z') goto yy265;
					if (yych == '_') goto yy265;
					goto yy264;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'e') goto yy267;
					if (yych <= 'z') goto yy265;
					goto yy264;
				} else {
					if (yych == '}') goto yy264;
					if (yych <= '~') goto yy257;
					goto yy264;
				}
			}
		}
yy263:
		YYDEBUG(263, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy264:
		YYDEBUG(264, *YYCURSOR);
		if (yybm[0+yych] & 2) {
			goto yy263;
		}
		if (yych == '$') goto yy268;
		goto yy237;
yy265:
		YYDEBUG(265, *YYCURSOR);
		yyaccept = 4;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(266, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy265;
		}
		if (yych <= '%') {
			if (yych <= '\r') {
				if (yych <= 0x08) {
					if (yych <= 0x00) goto yy257;
					goto yy263;
				} else {
					if (yych <= '\n') goto yy257;
					if (yych <= '\f') goto yy263;
					goto yy257;
				}
			} else {
				if (yych <= '"') {
					if (yych <= 0x1F) goto yy263;
					goto yy257;
				} else {
					if (yych == '$') goto yy268;
					goto yy263;
				}
			}
		} else {
			if (yych <= '=') {
				if (yych <= ':') {
					if (yych <= ')') goto yy257;
					goto yy263;
				} else {
					if (yych == '<') goto yy263;
					goto yy257;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '{') goto yy263;
					goto yy257;
				} else {
					if (yych == '~') goto yy257;
					goto yy263;
				}
			}
		}
yy267:
		YYDEBUG(267, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy257;
					if (yych <= 0x08) goto yy264;
					goto yy257;
				} else {
					if (yych == '\r') goto yy257;
					if (yych <= 0x1F) goto yy264;
					goto yy257;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy264;
					if (yych <= ')') goto yy257;
					if (yych <= '/') goto yy264;
					goto yy265;
				} else {
					if (yych == ';') goto yy257;
					if (yych <= '<') goto yy264;
					goto yy257;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'S') {
					if (yych <= '@') goto yy264;
					if (yych <= 'R') goto yy265;
					goto yy273;
				} else {
					if (yych <= 'Z') goto yy265;
					if (yych == '_') goto yy265;
					goto yy264;
				}
			} else {
				if (yych <= '{') {
					if (yych == 's') goto yy273;
					if (yych <= 'z') goto yy265;
					goto yy264;
				} else {
					if (yych == '}') goto yy264;
					if (yych <= '~') goto yy257;
					goto yy264;
				}
			}
		}
yy268:
		YYDEBUG(268, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy269;
			if (yych <= '[') goto yy263;
			goto yy270;
		} else {
			if (yych != '{') goto yy263;
		}
yy269:
		YYDEBUG(269, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 3) {
			if (yyaccept <= 1) {
				if (yyaccept <= 0) {
					goto yy237;
				} else {
					goto yy239;
				}
			} else {
				if (yyaccept <= 2) {
					goto yy235;
				} else {
					goto yy252;
				}
			}
		} else {
			if (yyaccept <= 5) {
				if (yyaccept <= 4) {
					goto yy257;
				} else {
					goto yy274;
				}
			} else {
				goto yy281;
			}
		}
yy270:
		YYDEBUG(270, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 8) {
			goto yy271;
		}
		goto yy263;
yy271:
		YYDEBUG(271, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(272, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy271;
		}
		if (yych <= 0x00) goto yy237;
		if (yych == '\\') goto yy270;
		goto yy263;
yy273:
		YYDEBUG(273, *YYCURSOR);
		yyaccept = 5;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy275;
		}
		if (yych <= ';') {
			if (yych <= ' ') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy274;
					if (yych <= '\t') goto yy264;
				} else {
					if (yych != '\r') goto yy264;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '"') goto yy274;
					if (yych <= '%') goto yy264;
				} else {
					if (yych <= '/') goto yy264;
					if (yych <= '9') goto yy265;
					if (yych <= ':') goto yy264;
				}
			}
		} else {
			if (yych <= '_') {
				if (yych <= '@') {
					if (yych != '=') goto yy264;
				} else {
					if (yych <= 'Z') goto yy265;
					if (yych <= '^') goto yy264;
					goto yy265;
				}
			} else {
				if (yych <= '{') {
					if (yych <= '`') goto yy264;
					if (yych <= 'z') goto yy265;
					goto yy264;
				} else {
					if (yych == '}') goto yy264;
					if (yych >= 0x7F) goto yy264;
				}
			}
		}
yy274:
		YYDEBUG(274, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 374 "Zend/zend_ini_scanner.l"
		{ /* TRUE value (when used outside option value/offset this causes parse error!) */
	RETURN_TOKEN(BOOL_TRUE, "1", 1);
}
#line 3490 "Zend/zend_ini_scanner.c"
yy275:
		YYDEBUG(275, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(276, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy275;
		}
		goto yy274;
yy277:
		YYDEBUG(277, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy257;
					if (yych <= 0x08) goto yy264;
					goto yy257;
				} else {
					if (yych == '\r') goto yy257;
					if (yych <= 0x1F) goto yy264;
					goto yy257;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy264;
					if (yych <= ')') goto yy257;
					if (yych <= '/') goto yy264;
					goto yy265;
				} else {
					if (yych == ';') goto yy257;
					if (yych <= '<') goto yy264;
					goto yy257;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'U') {
					if (yych <= '@') goto yy264;
					if (yych <= 'T') goto yy265;
				} else {
					if (yych <= 'Z') goto yy265;
					if (yych == '_') goto yy265;
					goto yy264;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'u') goto yy278;
					if (yych <= 'z') goto yy265;
					goto yy264;
				} else {
					if (yych == '}') goto yy264;
					if (yych <= '~') goto yy257;
					goto yy264;
				}
			}
		}
yy278:
		YYDEBUG(278, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy257;
					if (yych <= 0x08) goto yy264;
					goto yy257;
				} else {
					if (yych == '\r') goto yy257;
					if (yych <= 0x1F) goto yy264;
					goto yy257;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy264;
					if (yych <= ')') goto yy257;
					if (yych <= '/') goto yy264;
					goto yy265;
				} else {
					if (yych == ';') goto yy257;
					if (yych <= '<') goto yy264;
					goto yy257;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'E') {
					if (yych <= '@') goto yy264;
					if (yych <= 'D') goto yy265;
					goto yy273;
				} else {
					if (yych <= 'Z') goto yy265;
					if (yych == '_') goto yy265;
					goto yy264;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'e') goto yy273;
					if (yych <= 'z') goto yy265;
					goto yy264;
				} else {
					if (yych == '}') goto yy264;
					if (yych <= '~') goto yy257;
					goto yy264;
				}
			}
		}
yy279:
		YYDEBUG(279, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy257;
					if (yych <= 0x08) goto yy264;
					goto yy257;
				} else {
					if (yych == '\r') goto yy257;
					if (yych <= 0x1F) goto yy264;
					goto yy257;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy264;
					if (yych <= ')') goto yy257;
					if (yych <= '/') goto yy264;
					goto yy265;
				} else {
					if (yych == ';') goto yy257;
					if (yych <= '<') goto yy264;
					goto yy257;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'F') {
					if (yych <= '@') goto yy264;
					if (yych <= 'E') goto yy265;
				} else {
					if (yych <= 'Z') goto yy265;
					if (yych == '_') goto yy265;
					goto yy264;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'f') goto yy280;
					if (yych <= 'z') goto yy265;
					goto yy264;
				} else {
					if (yych == '}') goto yy264;
					if (yych <= '~') goto yy257;
					goto yy264;
				}
			}
		}
yy280:
		YYDEBUG(280, *YYCURSOR);
		yyaccept = 6;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy265;
		}
		if (yych <= '%') {
			if (yych <= '\f') {
				if (yych <= 0x08) {
					if (yych >= 0x01) goto yy264;
				} else {
					if (yych <= '\t') goto yy282;
					if (yych >= '\v') goto yy264;
				}
			} else {
				if (yych <= 0x1F) {
					if (yych >= 0x0E) goto yy264;
				} else {
					if (yych <= ' ') goto yy282;
					if (yych >= '#') goto yy264;
				}
			}
		} else {
			if (yych <= '=') {
				if (yych <= ':') {
					if (yych >= '*') goto yy264;
				} else {
					if (yych == '<') goto yy264;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '{') goto yy264;
				} else {
					if (yych != '~') goto yy264;
				}
			}
		}
yy281:
		YYDEBUG(281, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 378 "Zend/zend_ini_scanner.l"
		{ /* FALSE value (when used outside option value/offset this causes parse error!)*/
	RETURN_TOKEN(BOOL_FALSE, "", 0);
}
#line 3694 "Zend/zend_ini_scanner.c"
yy282:
		YYDEBUG(282, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(283, *YYCURSOR);
		if (yych == '\t') goto yy282;
		if (yych == ' ') goto yy282;
		goto yy281;
yy284:
		YYDEBUG(284, *YYCURSOR);
		yyaccept = 6;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '<') {
			if (yych <= ' ') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy281;
					if (yych <= 0x08) goto yy264;
					if (yych <= '\t') goto yy282;
					goto yy281;
				} else {
					if (yych == '\r') goto yy281;
					if (yych <= 0x1F) goto yy264;
					goto yy282;
				}
			} else {
				if (yych <= '/') {
					if (yych <= '"') goto yy281;
					if (yych <= '%') goto yy264;
					if (yych <= ')') goto yy281;
					goto yy264;
				} else {
					if (yych <= '9') goto yy265;
					if (yych == ';') goto yy281;
					goto yy264;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'N') {
					if (yych <= '=') goto yy281;
					if (yych <= '@') goto yy264;
					if (yych <= 'M') goto yy265;
					goto yy287;
				} else {
					if (yych <= 'Z') goto yy265;
					if (yych == '_') goto yy265;
					goto yy264;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'n') goto yy287;
					if (yych <= 'z') goto yy265;
					goto yy264;
				} else {
					if (yych == '}') goto yy264;
					if (yych <= '~') goto yy281;
					goto yy264;
				}
			}
		}
yy285:
		YYDEBUG(285, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy257;
					if (yych <= 0x08) goto yy264;
					goto yy257;
				} else {
					if (yych == '\r') goto yy257;
					if (yych <= 0x1F) goto yy264;
					goto yy257;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy264;
					if (yych <= ')') goto yy257;
					if (yych <= '/') goto yy264;
					goto yy265;
				} else {
					if (yych == ';') goto yy257;
					if (yych <= '<') goto yy264;
					goto yy257;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'L') {
					if (yych <= '@') goto yy264;
					if (yych <= 'K') goto yy265;
				} else {
					if (yych <= 'Z') goto yy265;
					if (yych == '_') goto yy265;
					goto yy264;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'l') goto yy286;
					if (yych <= 'z') goto yy265;
					goto yy264;
				} else {
					if (yych == '}') goto yy264;
					if (yych <= '~') goto yy257;
					goto yy264;
				}
			}
		}
yy286:
		YYDEBUG(286, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy257;
					if (yych <= 0x08) goto yy264;
					goto yy257;
				} else {
					if (yych == '\r') goto yy257;
					if (yych <= 0x1F) goto yy264;
					goto yy257;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy264;
					if (yych <= ')') goto yy257;
					if (yych <= '/') goto yy264;
					goto yy265;
				} else {
					if (yych == ';') goto yy257;
					if (yych <= '<') goto yy264;
					goto yy257;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'L') {
					if (yych <= '@') goto yy264;
					if (yych <= 'K') goto yy265;
					goto yy280;
				} else {
					if (yych <= 'Z') goto yy265;
					if (yych == '_') goto yy265;
					goto yy264;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'l') goto yy280;
					if (yych <= 'z') goto yy265;
					goto yy264;
				} else {
					if (yych == '}') goto yy264;
					if (yych <= '~') goto yy257;
					goto yy264;
				}
			}
		}
yy287:
		YYDEBUG(287, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy257;
					if (yych <= 0x08) goto yy264;
					goto yy257;
				} else {
					if (yych == '\r') goto yy257;
					if (yych <= 0x1F) goto yy264;
					goto yy257;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy264;
					if (yych <= ')') goto yy257;
					if (yych <= '/') goto yy264;
					goto yy265;
				} else {
					if (yych == ';') goto yy257;
					if (yych <= '<') goto yy264;
					goto yy257;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'E') {
					if (yych <= '@') goto yy264;
					if (yych <= 'D') goto yy265;
					goto yy280;
				} else {
					if (yych <= 'Z') goto yy265;
					if (yych == '_') goto yy265;
					goto yy264;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'e') goto yy280;
					if (yych <= 'z') goto yy265;
					goto yy264;
				} else {
					if (yych == '}') goto yy264;
					if (yych <= '~') goto yy257;
					goto yy264;
				}
			}
		}
yy288:
		YYDEBUG(288, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy257;
					if (yych <= 0x08) goto yy264;
					goto yy257;
				} else {
					if (yych == '\r') goto yy257;
					if (yych <= 0x1F) goto yy264;
					goto yy257;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy264;
					if (yych <= ')') goto yy257;
					if (yych <= '/') goto yy264;
					goto yy265;
				} else {
					if (yych == ';') goto yy257;
					if (yych <= '<') goto yy264;
					goto yy257;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'L') {
					if (yych <= '@') goto yy264;
					if (yych <= 'K') goto yy265;
				} else {
					if (yych <= 'Z') goto yy265;
					if (yych == '_') goto yy265;
					goto yy264;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'l') goto yy289;
					if (yych <= 'z') goto yy265;
					goto yy264;
				} else {
					if (yych == '}') goto yy264;
					if (yych <= '~') goto yy257;
					goto yy264;
				}
			}
		}
yy289:
		YYDEBUG(289, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy257;
					if (yych <= 0x08) goto yy264;
					goto yy257;
				} else {
					if (yych == '\r') goto yy257;
					if (yych <= 0x1F) goto yy264;
					goto yy257;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy264;
					if (yych <= ')') goto yy257;
					if (yych <= '/') goto yy264;
					goto yy265;
				} else {
					if (yych == ';') goto yy257;
					if (yych <= '<') goto yy264;
					goto yy257;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'S') {
					if (yych <= '@') goto yy264;
					if (yych <= 'R') goto yy265;
				} else {
					if (yych <= 'Z') goto yy265;
					if (yych == '_') goto yy265;
					goto yy264;
				}
			} else {
				if (yych <= '{') {
					if (yych == 's') goto yy290;
					if (yych <= 'z') goto yy265;
					goto yy264;
				} else {
					if (yych == '}') goto yy264;
					if (yych <= '~') goto yy257;
					goto yy264;
				}
			}
		}
yy290:
		YYDEBUG(290, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy257;
					if (yych <= 0x08) goto yy264;
					goto yy257;
				} else {
					if (yych == '\r') goto yy257;
					if (yych <= 0x1F) goto yy264;
					goto yy257;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy264;
					if (yych <= ')') goto yy257;
					if (yych <= '/') goto yy264;
					goto yy265;
				} else {
					if (yych == ';') goto yy257;
					if (yych <= '<') goto yy264;
					goto yy257;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'E') {
					if (yych <= '@') goto yy264;
					if (yych <= 'D') goto yy265;
					goto yy280;
				} else {
					if (yych <= 'Z') goto yy265;
					if (yych == '_') goto yy265;
					goto yy264;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'e') goto yy280;
					if (yych <= 'z') goto yy265;
					goto yy264;
				} else {
					if (yych == '}') goto yy264;
					if (yych <= '~') goto yy257;
					goto yy264;
				}
			}
		}
yy291:
		YYDEBUG(291, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy292:
		YYDEBUG(292, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy291;
		}
		if (yych >= '\r') goto yy295;
yy293:
		YYDEBUG(293, *YYCURSOR);
		++YYCURSOR;
yy294:
		YYDEBUG(294, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 477 "Zend/zend_ini_scanner.l"
		{ /* Comment */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 4076 "Zend/zend_ini_scanner.c"
yy295:
		YYDEBUG(295, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy293;
		goto yy294;
yy296:
		YYDEBUG(296, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(297, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy296;
		}
		if (yych <= '%') {
			if (yych <= '\r') {
				if (yych <= 0x08) {
					if (yych <= 0x00) goto yy252;
					goto yy263;
				} else {
					if (yych <= '\n') goto yy252;
					if (yych <= '\f') goto yy263;
					goto yy252;
				}
			} else {
				if (yych <= '"') {
					if (yych <= 0x1F) goto yy263;
					goto yy252;
				} else {
					if (yych == '$') goto yy268;
					goto yy263;
				}
			}
		} else {
			if (yych <= '=') {
				if (yych <= ':') {
					if (yych <= ')') goto yy252;
					goto yy263;
				} else {
					if (yych == '<') goto yy263;
					goto yy252;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '{') goto yy263;
					goto yy252;
				} else {
					if (yych == '~') goto yy252;
					goto yy263;
				}
			}
		}
yy298:
		YYDEBUG(298, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(299, *YYCURSOR);
		if (yych <= '-') {
			if (yych <= 0x1F) {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy252;
					if (yych <= 0x08) goto yy263;
					goto yy252;
				} else {
					if (yych == '\r') goto yy252;
					goto yy263;
				}
			} else {
				if (yych <= '$') {
					if (yych <= '"') goto yy252;
					if (yych <= '#') goto yy263;
					goto yy268;
				} else {
					if (yych <= '%') goto yy263;
					if (yych <= ')') goto yy252;
					goto yy263;
				}
			}
		} else {
			if (yych <= '<') {
				if (yych <= '9') {
					if (yych <= '.') goto yy296;
					if (yych <= '/') goto yy263;
					goto yy298;
				} else {
					if (yych == ';') goto yy252;
					goto yy263;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '=') goto yy252;
					if (yych <= '{') goto yy263;
					goto yy252;
				} else {
					if (yych == '~') goto yy252;
					goto yy263;
				}
			}
		}
yy300:
		YYDEBUG(300, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(301, *YYCURSOR);
		if (yych <= ')') {
			if (yych <= '\r') {
				if (yych <= 0x08) {
					if (yych <= 0x00) goto yy252;
					goto yy263;
				} else {
					if (yych <= '\n') goto yy252;
					if (yych <= '\f') goto yy263;
					goto yy252;
				}
			} else {
				if (yych <= '#') {
					if (yych <= 0x1F) goto yy263;
					if (yych <= '"') goto yy252;
					goto yy263;
				} else {
					if (yych <= '$') goto yy268;
					if (yych <= '%') goto yy263;
					goto yy252;
				}
			}
		} else {
			if (yych <= '<') {
				if (yych <= '9') {
					if (yych <= '/') goto yy263;
					goto yy300;
				} else {
					if (yych == ';') goto yy252;
					goto yy263;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '=') goto yy252;
					if (yych <= '{') goto yy263;
					goto yy252;
				} else {
					if (yych == '~') goto yy252;
					goto yy263;
				}
			}
		}
yy302:
		YYDEBUG(302, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(303, *YYCURSOR);
		if (yych <= ')') {
			if (yych <= '\r') {
				if (yych <= 0x08) {
					if (yych <= 0x00) goto yy252;
					goto yy263;
				} else {
					if (yych <= '\n') goto yy252;
					if (yych <= '\f') goto yy263;
					goto yy252;
				}
			} else {
				if (yych <= '#') {
					if (yych <= 0x1F) goto yy263;
					if (yych <= '"') goto yy252;
					goto yy263;
				} else {
					if (yych <= '$') goto yy268;
					if (yych <= '%') goto yy263;
					goto yy252;
				}
			}
		} else {
			if (yych <= '<') {
				if (yych <= '9') {
					if (yych <= '/') goto yy263;
					goto yy302;
				} else {
					if (yych == ';') goto yy252;
					goto yy263;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '=') goto yy252;
					if (yych <= '{') goto yy263;
					goto yy252;
				} else {
					if (yych == '~') goto yy252;
					goto yy263;
				}
			}
		}
yy304:
		YYDEBUG(304, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(305, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy304;
		}
		YYDEBUG(306, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(307, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 330 "Zend/zend_ini_scanner.l"
		{ /* Raw string */
	/* Eat leading and trailing single quotes */
	if (yytext[0] == '\'' && yytext[yyleng - 1] == '\'') {
		SCNG(yy_text)++;
		yyleng = yyleng - 2;
	}
	RETURN_TOKEN(TC_RAW, yytext, yyleng);
}
#line 4297 "Zend/zend_ini_scanner.c"
yy308:
		YYDEBUG(308, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(309, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 360 "Zend/zend_ini_scanner.l"
		{ /* Variable start */
	yy_push_state(ST_VARNAME TSRMLS_CC);
	return TC_DOLLAR_CURLY;
}
#line 4308 "Zend/zend_ini_scanner.c"
yy310:
		YYDEBUG(310, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy311:
		YYDEBUG(311, *YYCURSOR);
		if (yych == '\t') goto yy310;
		if (yych == ' ') goto yy310;
		goto yy244;
yy312:
		YYDEBUG(312, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy241;
yy313:
		YYDEBUG(313, *YYCURSOR);
		yyaccept = 1;
		YYMARKER = ++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy314:
		YYDEBUG(314, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych <= '\n') {
				if (yych <= 0x08) goto yy239;
				if (yych <= '\t') goto yy313;
				goto yy312;
			} else {
				if (yych == '\r') goto yy316;
				goto yy239;
			}
		} else {
			if (yych <= '"') {
				if (yych <= ' ') goto yy313;
				if (yych <= '!') goto yy239;
			} else {
				if (yych == ';') goto yy291;
				goto yy239;
			}
		}
		YYDEBUG(315, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy246;
yy316:
		YYDEBUG(316, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '\n') goto yy312;
		goto yy241;
	}
/* *********************************** */
yyc_ST_VARNAME:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0, 128, 128,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
		};
		YYDEBUG(317, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy321;
			} else {
				if (yych <= '@') goto yy319;
				if (yych <= 'Z') goto yy321;
			}
		} else {
			if (yych <= 'z') {
				if (yych != '`') goto yy321;
			} else {
				if (yych == '}') goto yy323;
			}
		}
yy319:
		YYDEBUG(319, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(320, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 495 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 4421 "Zend/zend_ini_scanner.c"
yy321:
		YYDEBUG(321, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy326;
yy322:
		YYDEBUG(322, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 365 "Zend/zend_ini_scanner.l"
		{ /* Variable name */
	RETURN_TOKEN(TC_VARNAME, yytext, yyleng);
}
#line 4434 "Zend/zend_ini_scanner.c"
yy323:
		YYDEBUG(323, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(324, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 369 "Zend/zend_ini_scanner.l"
		{ /* Variable end */
	yy_pop_state(TSRMLS_C);
	return '}';
}
#line 4445 "Zend/zend_ini_scanner.c"
yy325:
		YYDEBUG(325, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy326:
		YYDEBUG(326, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy325;
		}
		goto yy322;
	}
}
#line 499 "Zend/zend_ini_scanner.l"

}
